<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- JavaScript Bundle with Popper -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <link rel="stylesheet" href="../css/style.css">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <title>Login</title>
    <link href="./bass-clef-48.ico" rel="shortcut icon" type="image/x-icon">
</head>
<body>

<header style="height: 130px; margin-top: 10px;">
    <div class="d-flex align-items-center justify-content-center">
        <h3>Welcome to the</h3>
    </div>
    <div class="d-flex align-items-center justify-content-center">
        <h1>Score Service</h1>
    </div>
</header>

<section class="container" style="width: 20em;">
    <form class="form-signin" id="login-form">
        <div class="form-floating mb-3">
            <input type="text" class="form-control" id="userName" name="userName">
            <label for="userName" class="form-label">Username</label>
        </div>
        <div class="form-floating">
            <input type="password" class="form-control" id="password" name="password">
            <label for="password" class="form-label">Password</label>
        </div>
        <button type="submit" class="btn btn-primary">Sign in</button>
        <div hidden id="error-msg"></div>
    </form>
</section>

<script src="../scripts/server-requests.js"></script>
<script src="../scripts/login.js"></script>

</body>
</html>